<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="elemento">
            <h2><span jhiTranslate="shoppingonlineApp.elemento.detail.title">Elemento</span> {{ elemento.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="shoppingonlineApp.elemento.tipologia">Tipologia</span></dt>
                <dd>
                    <span>{{ elemento.tipologia }}</span>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.elemento.prezzo">Prezzo</span></dt>
                <dd>
                    <span>{{ elemento.prezzo }}</span>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.elemento.descrizione">Descrizione</span></dt>
                <dd>
                    <span>{{ elemento.descrizione }}</span>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.elemento.configurazione">Configurazione</span></dt>
                <dd>
                    <div *ngIf="elemento.configurazione">
                        <a [routerLink]="['/configurazione', elemento.configurazione?.id, 'view']">{{ elemento.configurazione?.id }}</a>
                    </div>
                </dd>
                <dt><span jhiTranslate="shoppingonlineApp.elemento.catalogo">Catalogo</span></dt>
                <dd>
                    <div *ngIf="elemento.catalogo">
                        <a [routerLink]="['/catalogo', elemento.catalogo?.id, 'view']">{{ elemento.catalogo?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/elemento', elemento.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
            </button>
        </div>
    </div>
</div>
